<!doctype html>
<html lang="en" class="no-js elg-gui-ie">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title>
        Create Document
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="stylesheet" href="assets/css/bootstrap.css?compile=false"/>
    <link rel="stylesheet" href="assets/css/application.css?compile=false"/>

    <!-- Required styles for MDC Web -->
    <link rel="stylesheet" href="https://unpkg.com/material-components-web@5.1.0/dist/material-components-web.min.css">
    <!-- A default font used for ELG portal -->
    <link href="https://fonts.googleapis.com/css?family=Noto+Sans&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>
<body>

<form id="elg-test-form">
    <div id="elg-messages"></div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <label class="mdc-text-field mdc-text-field--outlined" data-mdc-auto-init="MDCTextField">
                    <input id="top-text" type="text" class="mdc-text-field__input" aria-labelledby="top-text-label" size="50">
                    <span class="mdc-notched-outline">
                        <span class="mdc-notched-outline__leading"></span>
                        <span class="mdc-notched-outline__notch">
                            <span class="mdc-floating-label" id="top-text-label">Text for top of image</span>
                        </span>
                        <span class="mdc-notched-outline__trailing"></span>
                    </span>
                </label>
            </div>
        </div>
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <label class="mdc-text-field mdc-text-field--outlined" data-mdc-auto-init="MDCTextField">
                    <input id="bottom-text" type="text" class="mdc-text-field__input" aria-labelledby="bottom-text-label" size="50">
                    <span class="mdc-notched-outline">
                        <span class="mdc-notched-outline__leading"></span>
                        <span class="mdc-notched-outline__notch">
                            <span class="mdc-floating-label" id="bottom-text-label">Text for bottom of image</span>
                        </span>
                        <span class="mdc-notched-outline__trailing"></span>
                    </span>
                </label>
            </div>
        </div>

        <div id="service-params"></div>
        <div id="param-checkbox-template">
            <div class="mdc-touch-target-wrapper">
                <div class="mdc-checkbox mdc-checkbox--touch">
                    <input type="checkbox"
                           class="mdc-checkbox__native-control param-use">
                    <div class="mdc-checkbox__background">
                        <svg class="mdc-checkbox__checkmark"
                             viewBox="0 0 24 24">
                            <path class="mdc-checkbox__checkmark-path"
                                  fill="none"
                                  d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
                        </svg>
                        <div class="mdc-checkbox__mixedmark"></div>
                    </div>
                    <div class="mdc-checkbox__ripple"></div>
                </div>
            </div>
        </div>

        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <button id="submit-form" class="mdc-button mdc-button--raised next" disabled>
                    <span class="mdc-button__label">
                            Submit
                    </span>
                </button>
            </div>
        </div>
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <h3 class="mdc-typography--subtitle2" id="process-state">&nbsp;</h3>
                <div role="progressbar" class="mdc-linear-progress mdc-linear-progress--closed" id="submitprogress" data-mdc-auto-init="MDCLinearProgress">
                    <div class="mdc-linear-progress__buffering-dots"></div>
                    <div class="mdc-linear-progress__buffer"></div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__primary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__secondary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>


<div class="hidden" id="elg-annotate-result">
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-9" id="docView">
            </div>
        </div>
    </div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
            <button id="test-again" class="mdc-button mdc-button--raised next">
                <span class="mdc-button__label">
                        Back
                </span>
            </button>
        </div>
    </div>
</div>



<script type="text/javascript" src="assets/lib/require.js?compile=false"></script>
<script type="text/javascript" src="assets/application.js?compile=false"></script>
<script type="text/javascript" src="image.js"></script>
</body>
</html>
